%define module	livestreamer

Name:		python-%{module}
Version:	1.12.2
Release:	%mkrel 14
Summary:	CLI for piping video streams to video players
License:	BSD
Group:		Development/Python
URL:		https://github.com/chrippa/livestreamer
Source0:	https://github.com/chrippa/%{module}/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Livestreamer is CLI program that extracts streams from various services and
pipes them into a video player of choice.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	CLI for piping video streams to video players
Group:		Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

Requires:	python3dist(requests)
Recommends:	python3dist(pycryptodome)
Requires:	python3-pkg-resources
Recommends:	rtmpdump

%description -n python3-%{module}
Livestreamer is CLI program that extracts streams from various services and
pipes them into a video player of choice.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

rm -r docs/_themes/.gitignore

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files livestreamer livestreamer_cli

%files -n python3-%{module} -f %{pyproject_files}
%doc *.rst LICENSE*
%doc docs
%{_bindir}/%{module}


%changelog
* Sun Mar 02 2025 wally <wally> 1.12.2-14.mga10
+ Revision: 2157240
- rebuild for python3.13

* Wed Jan 31 2024 papoteur <papoteur> 1.12.2-13.mga10
+ Revision: 2036408
- rebuild for python 3.12
- use pyproject macros

* Wed Mar 23 2022 umeabot <umeabot> 1.12.2-12.mga9
+ Revision: 1823648
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.12.2-11.mga9
+ Revision: 1783834
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.12.2-10.mga9
+ Revision: 1707396
- rebuild for python 3.9

* Wed Jul 22 2020 ovitters <ovitters> 1.12.2-9.mga8
+ Revision: 1608051
- rebuild for get rid of pythonegg requires

* Sun Feb 16 2020 umeabot <umeabot> 1.12.2-8.mga8
+ Revision: 1531942
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 1.12.2-7.mga8
+ Revision: 1441388
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 1.12.2-6.mga7
+ Revision: 1351621
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.12.2-5.mga7
+ Revision: 1289173
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.12.2-4.mga7
+ Revision: 1135485
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.12.2-3.mga6
+ Revision: 970457
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 1.12.2-2.mga6
+ Revision: 886839
- rebuild for python 3.5
- use new python macros

* Sat Jun 20 2015 daviddavid <daviddavid> 1.12.2-1.mga6
+ Revision: 835915
- new version: 1.12.2

* Sun Mar 08 2015 daviddavid <daviddavid> 1.12.0-1.mga5
+ Revision: 818084
- new version: 1.12.0
- update Source Url
- remove unneeded .gitignore file
- update doc file list

* Tue Jan 27 2015 daviddavid <daviddavid> 1.11.1-1.mga5
+ Revision: 812433
- new version: 1.11.1
- fixes no streams being found on Twitch.tv (mga#15139)

* Wed Oct 15 2014 umeabot <umeabot> 1.10.2-4.mga5
+ Revision: 740767
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.10.2-3.mga5
+ Revision: 728952
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.10.2-2.mga5
+ Revision: 688124
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Sep 06 2014 daviddavid <daviddavid> 1.10.2-1.mga5
+ Revision: 672722
- new version: 1.10.2

* Thu Aug 28 2014 daviddavid <daviddavid> 1.10.1-1.mga5
+ Revision: 669066
- add more doc in livestreamer package
- new version: 1.10.1

* Tue Aug 19 2014 daviddavid <daviddavid> 1.10.0-2.mga5
+ Revision: 665514
- fix missing dependency on 'python(3)-pkg-resources' (mga#13938)

* Tue Aug 19 2014 daviddavid <daviddavid> 1.10.0-1.mga5
+ Revision: 665390
- new version: 1.10.0

* Tue Jul 22 2014 daviddavid <daviddavid> 1.9.0-1.mga5
+ Revision: 655682
- new version: 1.9.0

* Wed Jun 11 2014 daviddavid <daviddavid> 1.8.2-1.mga5
+ Revision: 635675
- new version: 1.8.2

* Sun Jun 01 2014 daviddavid <daviddavid> 1.8.1-1.mga5
+ Revision: 630472
- new version: 1.8.1

* Sat May 31 2014 pterjan <pterjan> 1.8.0-2.mga5
+ Revision: 628747
- Rebuild for new Python

* Thu Apr 24 2014 daviddavid <daviddavid> 1.8.0-1.mga5
+ Revision: 617689
- new version: 1.8.0

* Mon Apr 14 2014 daviddavid <daviddavid> 1.7.5-2.mga5
+ Revision: 614134
- add pycrypto as a Suggests package (optional dependencies)
- add rtmpdump as a Suggests package (optional dependencies)

* Mon Apr 14 2014 daviddavid <daviddavid> 1.7.5-1.mga5
+ Revision: 614101
- imported package python-livestreamer

